Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class XPathBooleanExpression.AlwaysTrue

    java.lang.Object
      com.servingxml.util.xml.XPathBooleanExpression.AlwaysTrue

All Implemented Interfaces:
  XPathBooleanExpression

Enclosing interface:
  XPathBooleanExpression

    public static final class XPathBooleanExpression.AlwaysTrue

extends java.lang.Object
implements XPathBooleanExpression

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.util.xml.XPathBooleanExpression
`XPathBooleanExpression.AlwaysFalse, XPathBooleanExpression.AlwaysTrue`

Field Summary

Fields inherited from interface com.servingxml.util.xml.XPathBooleanExpression
`ALWAYS_FALSE, ALWAYS_TRUE`

Constructor Summary
`XPathBooleanExpression.AlwaysTrue()`

Method Summary
`boolean` | `evaluate(javax.xml.transform.Source source, Record parameters)`
`void` | `setErrorListener(javax.xml.transform.ErrorListener errorListener)`
`void` | `setUriResolverFactory(UriResolverFactory uriResolverFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathBooleanExpression.AlwaysTrue

    public XPathBooleanExpression.AlwaysTrue()

Method Detail

### evaluate

    public final boolean evaluate(javax.xml.transform.Source source,
                                  Record parameters)

  Specified by:
    `evaluate` in interface `XPathBooleanExpression`

### setUriResolverFactory

    public void setUriResolverFactory(UriResolverFactory uriResolverFactory)

  Specified by:
    `setUriResolverFactory` in interface `XPathBooleanExpression`

### setErrorListener

    public void setErrorListener(javax.xml.transform.ErrorListener errorListener)

  Specified by:
    `setErrorListener` in interface `XPathBooleanExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD